=== debian/control ===
Source: ros-humble-rcpputils
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rcutils, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcutils, ros-humble-ros-workspace
Description: Package containing utility code for C++.
