## ros-humble-rcpputils 2.4.3

=== debian/changelog ===
ros-humble-rcpputils (2.4.3-1bookworm) bookworm; urgency=high

  * Generate version header with ament_generate_version_header function (#190 <https://github.com/ros2/rcpputils/issues/190>) (#191 <https://github.com/ros2/rcpputils/issues/191>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rcpputils (2.4.2-1bookworm) bookworm; urgency=high

  * Included tl_expected (backport #185 <https://github.com/ros2/rcpputils/issues/185>) (#186 <https://github.com/ros2/rcpputils/issues/186>)
  * humble: fix <cstdint> error (#184 <https://github.com/ros2/rcpputils/issues/184>)
  * Contributors: Bernd Müller, mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rcpputils (2.4.1-1bookworm) bookworm; urgency=high

  * Fix possible race condition in create_directories() (#162 <https://github.com/ros2/rcpputils/issues/162>) (#176 <https://github.com/ros2/rcpputils/issues/176>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rcpputils (2.4.0-1bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} (#160 <https://github.com/ros2/rcpputils/issues/160>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rcpputils (2.3.2-1bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#158 <https://github.com/ros2/rcpputils/issues/158>)
  * [path] Declare the default assignment operator (#156 <https://github.com/ros2/rcpputils/issues/156>)
  * Contributors: Abrar Rahman Protyasha, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rcpputils (2.3.1-1bookworm) bookworm; urgency=high

  * Fixes for uncrustify 0.72 (#154 <https://github.com/ros2/rcpputils/issues/154>)
  * Fix the BSD license headers to use the standard one. (#153 <https://github.com/ros2/rcpputils/issues/153>)
  * Update maintainers to Chris Lalancette (#152 <https://github.com/ros2/rcpputils/issues/152>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rcpputils (2.3.0-1bookworm) bookworm; urgency=high

  * Add checked convert_to_nanoseconds() function (#145 <https://github.com/ros2/rcpputils/issues/145>)
  * Add missing sections in docs/FEATURES.md TOC (#151 <https://github.com/ros2/rcpputils/issues/151>)
  * [env] Add set_env_var function (#150 <https://github.com/ros2/rcpputils/issues/150>)
  * Add missing cstddef include (#147 <https://github.com/ros2/rcpputils/issues/147>)
  * Add accumulator test to CMakeLists.txt (#144 <https://github.com/ros2/rcpputils/issues/144>)
  * rcpputils::fs: Fix doxygen parameter identifier (#142 <https://github.com/ros2/rcpputils/issues/142>)
  * Make thread safety macro C++ standards compliant (#141 <https://github.com/ros2/rcpputils/issues/141>)
  * Fix API documentation for clean rosdoc2 build (#139 <https://github.com/ros2/rcpputils/issues/139>)
  * Improve rcppmath Doxygen documentation (#138 <https://github.com/ros2/rcpputils/issues/138>)
  * Improve documentation of utilities in docs/FEATURES.md (#137 <https://github.com/ros2/rcpputils/issues/137>)
  * Include rcppmath utilities in docs/FEATURES.md (#136 <https://github.com/ros2/rcpputils/issues/136>)
  * Fix IllegalStateException reference in FEATURES (#135 <https://github.com/ros2/rcpputils/issues/135>)
  * migrate rolling mean from ros2_controllers to rcppmath (#133 <https://github.com/ros2/rcpputils/issues/133>)
  * Update includes after rcutils/get_env.h deprecation (#132 <https://github.com/ros2/rcpputils/issues/132>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Christophe Bedard, Karsten Knese, Octogonapus

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rcpputils (2.2.0-1bookworm) bookworm; urgency=high

  * Update quality declaration links (#130 <https://github.com/ros2/rcpputils/issues/130>)
  * Add functions for getting library path and filename (#128 <https://github.com/ros2/rcpputils/issues/128>)
  * Contributors: Nikolai Morin, Simon Honigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 01 Apr 2021 16:00:00 -0000

ros-humble-rcpputils (2.1.0-1bookworm) bookworm; urgency=high

  * Add path equality operators (#127 <https://github.com/ros2/rcpputils/issues/127>)
  * Add create_temp_directory filesystem helper (#126 <https://github.com/ros2/rcpputils/issues/126>)
  * Use new noexcept specifier. (#123 <https://github.com/ros2/rcpputils/issues/123>)
  * Contributors: Chen Lihui, Emerson Knapp

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 28 Feb 2021 16:00:00 -0000

ros-humble-rcpputils (2.0.4-1bookworm) bookworm; urgency=high

  * Add stream operator for paths to make it easier to log (#120 <https://github.com/ros2/rcpputils/issues/120>)
  * Path join operator is const (#119 <https://github.com/ros2/rcpputils/issues/119>)
  * No windows.h in header files (#118 <https://github.com/ros2/rcpputils/issues/118>)
  * Fix rcpputils::SharedLibrary tests. (#117 <https://github.com/ros2/rcpputils/issues/117>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rcpputils (2.0.3-1bookworm) bookworm; urgency=high

  * Update QD to QL 1 (#114 <https://github.com/ros2/rcpputils/issues/114>)
  * Make sure to not try to index into an empty path. (#113 <https://github.com/ros2/rcpputils/issues/113>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rcpputils (2.0.2-1bookworm) bookworm; urgency=high


